// AjudIDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ajuda.h"
#include "AjudIDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAjudIDlg dialog


CAjudIDlg::CAjudIDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAjudIDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAjudIDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAjudIDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAjudIDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAjudIDlg, CDialog)
	//{{AFX_MSG_MAP(CAjudIDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAjudIDlg message handlers

BOOL CAjudIDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	
	   // tenta carregar bitmaps
	if ( ! m_oBmp.LoadBitmaps ( _T ( "BMP_MICRO" ), NULL, NULL ) ||
        ! m_oBmpEx.LoadBitmaps ( _T ( "BMP_EXMICRO" ), NULL, NULL ) ) {

		TRACE0 ( "Impossível ler bitmaps.\n ");
		AfxThrowResourceException ();
	}
	
	// define qual controle da caixa de dialogo vai ter qual bitmap
	VERIFY ( m_oBmp.SubclassDlgItem ( IDC_AJUDA_MICRO, this ) );
	VERIFY ( m_oBmpEx.SubclassDlgItem ( IDC_AJUDA_EXMICRO, this ) );

	// muda tamanho dos controles para caber os bitmaps
	m_oBmp.SizeToContent ();
	m_oBmpEx.SizeToContent ();

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
